/**
 * A simple garage manager made for lab 8
 * 
 * @author <a href='mailto:pandre.mudry&#64;hevs.ch'> Pierre-Andr Mudry</a>
 * @version 1.0
 */
public class Garage {
	// Stores the different cars
	Auto[] stock = new Auto[100];
	
	// Used as an index that contains the number of cars in the garage
	private int nAuto= 0;
	
	/**
	 * Constructor
	 */
	Garage(){
		System.out.println("Creating a new garage");		
	}
	
	/**
	 * Adds a new car to the garage
	 * @param a The car to be added
	 */
	public void addCar(Auto a){		
		stock[nAuto] = a;
		nAuto++;
	}
	
	/**
	 * @return The number of cars present in the garage
	 */
	public int getNumberOfCars(){
		return this.nAuto;
	}

	/**	 
	 * @see java.lang.Object#toString()
	 */
	public String toString(){
		String result = "Garage content :\n";
		
		for(int i = 0; i < nAuto; i++){
			Auto theCar = stock[i];
			result += "\t Car " + i + " : " + theCar.toString() + "\n";
		}
		
		return result;
	}
	
	public void displayFastCars(){
		System.out.println("Garage fast cars : ");
		
		for(int i = 0; i < nAuto; i++){
			if(stock[i].isVeryFast())
				System.out.println("\t Car " + i + " : " + stock[i].toString());
		}
	}
}
