import java.awt.Color;

/**
 * A sample rectangle class for lab 8
 * 
 * @author <a href='mailto:pandre.mudry&#64;hevs.ch'> Pierre-Andr Mudry</a>
 * @version 1.0
 */
public class Rectangle {	
		
	private double width;
	private double height;
	private Color color;

	/**
	 * Constructor
	 * @param width
	 * @param height
	 */
	Rectangle(double width, double height){
		this.setWidth(width);
		this.setHeight(height);
		color = Color.RED;
	}
	
	/**
	 * @return The surface of the rectangle
	 */
	public double surface(){
		return this.getWidth()*this.getHeight();
	}

	/**	 
	 * @see java.lang.Object#toString()
	 */
	public String toString(){
		String result = "Rectangle size : ";
		result += this.width + " x " + this.height;
		result += ". Color is : " + this.color.toString();
		return result;
	}
	
	/**
	 * Getters-setters
	 **/	
	public void setColor(Color color)
	{
		this.color = color;
	}
	
	public void setHeight(double height) {
		if(height > 0){
			this.height = height;
		}
		else
		{
			System.out.println("Value can't be negative !");
			this.height = -height;
		}
	}

	public double getHeight() {
		return height;
	}

	public void setWidth(double width) {
		if(width > 0){
			this.width = width;
		}
		else
		{
			System.out.println("Value can't be negative !");
			this.width= -width;
		}
	}

	public double getWidth() {
		return width;
	}
		
}
